InVMAcceptorTransportConfigurationSchema (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.uri

## Class InVMAcceptorTransportConfigurationSchema

- java.lang.Object
- - org.apache.activemq.artemis.utils.uri.URISchema<List<TransportConfiguration>,String>
  - - org.apache.activemq.artemis.uri.AbstractTransportConfigurationSchema
    - - org.apache.activemq.artemis.uri.InVMTransportConfigurationSchema
      - - org.apache.activemq.artemis.uri.InVMAcceptorTransportConfigurationSchema

-     public class InVMAcceptorTransportConfigurationSchema
      extends InVMTransportConfigurationSchema

- - ### Field Summary

    - ### Fields inherited from class org.apache.activemq.artemis.uri.InVMTransportConfigurationSchema

      `CONNECTIONS_ALLOWED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InVMAcceptorTransportConfigurationSchema()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getFactoryName()`

    - ### Methods inherited from class org.apache.activemq.artemis.uri.InVMTransportConfigurationSchema

      `createTransportConfiguration, getSchemaName, internalNewObject, internalNewURI`

    - ### Methods inherited from class org.apache.activemq.artemis.utils.uri.URISchema

      `copyData, getData, getDefaultURI, getFactory, getHost, getPort, newObject, newObject, newURI, parseQuery, populateObject, printQuery, setData, setData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InVMAcceptorTransportConfigurationSchema

          public InVMAcceptorTransportConfigurationSchema()

  - ### Method Detail

    - #### getFactoryName

          protected String getFactoryName()

      Overrides:
        `getFactoryName` in class `InVMTransportConfigurationSchema`

Copyright © 2015. All rights reserved.